## org.eclipse.jetty.start
Class FilenameComparator

    java.lang.Object
      org.eclipse.jetty.start.FilenameComparator

All Implemented Interfaces:
  Comparator<File>

    public class FilenameComparator

extends Object
implements Comparator<File>

Smart comparator for filenames, with natural language sorting, and files sorted before sub directories.

Field Summary
`static FilenameComparator` `INSTANCE`

Constructor Summary
`FilenameComparator()`

Method Summary
`int` `compare(File o1, File o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### INSTANCE

    public static final FilenameComparator INSTANCE

Constructor Detail

### FilenameComparator

    public FilenameComparator()

Method Detail

### compare

    public int compare(File o1,
                       File o2)

  Specified by:
    `compare` in interface `Comparator<File>`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.